AnsweredAssumed Answered

SDK v2.0-1703, Module kernel (Cache: QorIQ Linux SDK v2.0 PPCE6500 Yocto) error when I do an insmod MyModule.ko.

Question asked by iuro uiro on Oct 31, 2018
Latest reply on Nov 5, 2018 by iuro uiro

Hi everyone!

 

I am trying to update with SDK v2.0-1703 because, I am building a module kernel (currently with Cache: QorIQ Linux SDK v2.0 PPCE6500 Yocto) and I get a message error when I do an insmod MyModule.ko.

 

[ 2022.496533] MyModule: disagrees about version of symbol device_destroy
[ 2022.502025] MyModule: Unknown symbol device_destroy (err -22)
[ 2022.506759] MyModule: disagrees about version of symbol device_create
[ 2022.512157] MyModule: Unknown symbol device_create (err -22)

 

Also, I can not download from Git address: git://git.freescale.com/ppc/sdk/linux.git because it does not working.

 

Any ideas please???

 

PS: If I build and insmod in SDK 1.8 it works correctly.

Outcomes